VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
CNinePartTiledDescription Struct Reference

`#include <cbitmap.h>`

## Public Types
enum | { kPartTopLeft , kPartTop , kPartTopRight , kPartLeft , kPartCenter , kPartRight , kPartBottomLeft , kPartBottom , kPartBottomRight , kPartCount }

## Public Member Functions
| CNinePartTiledDescription ()=default
| CNinePartTiledDescription (CCoord left, CCoord top, CCoord right, CCoord bottom)
void | calcRects (const CRect &inBitmapRect, CRect outRect[kPartCount]) const

## Public Attributes
CCoord | left {0.}
CCoord | top {0.}
CCoord | right {0.}
CCoord | bottom {0.}

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kPartTopLeft |
kPartTop |
kPartTopRight |
kPartLeft |
kPartCenter |
kPartRight |
kPartBottomLeft |
kPartBottom |
kPartBottomRight |
kPartCount |

## Constructor & Destructor Documentation

## ◆ CNinePartTiledDescription() [1/2]

CNinePartTiledDescription | ( |  | ) |
| default

## ◆ CNinePartTiledDescription() [2/2]

CNinePartTiledDescription | ( | CCoord | left,
|  | CCoord | top,
|  | CCoord | right,
|  | CCoord | bottom )
| inline

## Member Function Documentation

## ◆ calcRects()

void calcRects | ( | const CRect & | inBitmapRect,
|  | CRect | outRect[kPartCount] ) const
| inline

## Member Data Documentation

## ◆ bottom

CCoord bottom {0.}

## ◆ left

CCoord left {0.}

## ◆ right

CCoord right {0.}

## ◆ top

CCoord top {0.}

The documentation for this struct was generated from the following file:

- cbitmap.h